Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.model
Enum CallFactoryStreamType2

    java.lang.Object
      java.lang.Enum<CallFactoryStreamType2>
          umontreal.iro.lecuyer.contactcenters.msk.model.CallFactoryStreamType2

All Implemented Interfaces:
  Serializable, Comparable<CallFactoryStreamType2>

    public enum CallFactoryStreamType2

extends Enum<CallFactoryStreamType2>

Complementary random streams for call factories. See `RandomStreams.getCallFactoryStream2(int,CallFactoryStreamType2)` for more information.

Enum Constant Summary
`HANDOFF` Random stream used to generate conference or pre-service times with secondary agent, for call transfer.
`PROBTRANSFER` Random stream for probability of transfer.
`TRANSFERTIME` Random stream used to generate transfer delays.
`VQUEUE` Random stream for probability of going into a virtual queue.

Method Summary
`static CallFactoryStreamType2` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CallFactoryStreamType2[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### VQUEUE

    public static final CallFactoryStreamType2 VQUEUE

  Random stream for probability of going into a virtual queue.

### PROBTRANSFER

    public static final CallFactoryStreamType2 PROBTRANSFER

  Random stream for probability of transfer.

### TRANSFERTIME

    public static final CallFactoryStreamType2 TRANSFERTIME

  Random stream used to generate transfer delays.

### HANDOFF

    public static final CallFactoryStreamType2 HANDOFF

  Random stream used to generate conference or pre-service times with secondary agent, for call transfer.

Method Detail

### values

    public static CallFactoryStreamType2[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CallFactoryStreamType2 c : CallFactoryStreamType2.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CallFactoryStreamType2 valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.